//main.c
#include "GPL951_Body.h"
#include "PWMIO_H.h"

#define PWMIO_2kHz	(0x10000ul-(systemclock/2/2000))

int main()
{
	//add your code here
	*P_IOA_Dir = 0x00;
	*P_IOA_Attrib = 0x00;
	*P_IOA_Buffer = 0x00;
	*P_IOA_Data = 0x00;		

	PWMIO_Initial();
	PWMIO_Freq_Setting(PWMIO0+PWMIO1+PWMIO2+PWMIO3, PWMIO_2kHz);	
	PWMIO_Duty_Setting(PWMIO0+PWMIO2, (PWMIO_2kHz+((0x10000ul-PWMIO_2kHz)/4)));		//PWMIO0/2 set 2kHz, 1/4 duty
	PWMIO_Duty_Setting(PWMIO1+PWMIO3, (PWMIO_2kHz+((0x10000ul-PWMIO_2kHz)/8)));		//PWMIO1/3 set 2kHz, 1/8 duty
	PWMIO_Start(PWMIO0+PWMIO1+PWMIO2+PWMIO3);
	while(*P_IOA_Data==0)
	{
		*P_WatchDog_Clear = C_WDT_Clear;		//clear WDT
	}
	PWMIO_Stop(PWMIO1+PWMIO3);
	while(1)
	{
		*P_WatchDog_Clear = C_WDT_Clear;		//clear WDT
	}

	return 0;
}
